Downloads

Akeeba Kickstart

Akeeba Kickstart

version 7.0.2 Stable

Released on: Wednesday, 02 September 2020 14:58

Release Notes

Release highlights

Update URLs to point to akeeba.com instead of akeebabackup.com. This updates Kickstart following our site's domain name change in June 2020.

The PHP version warning can now handle "too new" versions. Before this change any version of PHP not known to Kickstart would be reported as "out of date", even if it was newer than the maximum version known to it. Now you will be properly notified that it's newer than what is supported by your installed version of Kickstart.

Improved the custom PHP detection code during restoration. Starting with Kickstart 7.0.1 and Akeeba Backup / Akeeba Solo 7.2.0 we are detecting when you are applying a custom (non-default) PHP version through a .htaccess file at the beginning of a restoration and carry it over throughout the restoration. This code had a few issues, e.g. when the AddHandler/SetHandler code in the .htaccess had leading spaces. This could cause the restoration to fail if your host's default PHP version is too old (5.5 or earlier) and you absolutely need the .htaccess code to apply a newer PHP version. This has now been resolved and tested on a number of local and live server setups.

PHP 5.6 or later is required

Akeeba Kickstart requires PHP 5.6, 7.0, 7.1, 7.2, 7.3 or 7.4. It won't run on hosts running PHP versions 5.5, 5.4, 5.3, 5.2, 5.1, 5.0 or any 4.x versions.

At the time of this writing we have only done some preliminary PHP 8 compatibility testing and found no issue. However, at the time of this writing PHP 8 is still in alpha. Should PHP 8 stable bring additional changes which require changes in our code we expect to be able to do so 2-4 weeks after PHP 8's scheduled stable release on November 26th.

Please note that we do not test Kickstart on End of Life versions of PHP anymore. For a definition of End of Life (EOL) and a list of EOL PHP versions please consult the official PHP site at php.net/eol.php.

Changelog

Bug fixes

  • [HIGH] Inheriting AddHandler/SetHandler fails when the line has leading whitespace (gh-20)

Miscellaneous changes

  • The PHP version warning can now handle "too new" versions

Our Core versions are provided free of charge,
but they only scratch the surface of what's possible.

Subscribe today to get access to the exclusive features and enhanced support of our Professional releases!

Subscribe and get full access!

Already a subscriber? Log in.